﻿
.contact-main-title-box{
  width: 100%;
  display: block;
  text-align: center;
}
.contact-box{
  width: 700px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  position: relative;
  padding: 40px;
  box-sizing: border-box;
  margin-bottom: 100px;
}

.contact-info-form{
  width: 100%;
  display: block;
  position: relative;
}

.contact-info-ps{
  font-size: 14px;
  color: #555;
  letter-spacing: 2px;
  position: absolute;
  top: 0;
  right: 0;
}
.contact-info-ps span,
.contact-lable span{
  color: #dd2226;
  font-weight: bold;
}
.contact-lable{
  font-size: 16px;
  font-weight: bold;
  letter-spacing: 2px;
  margin-bottom: 20px;
  display: block;
}
.contact-info-list> input{
  width: 100%;
  border: 0;
  font-size: 14px;
  letter-spacing: 2px;
  padding-bottom: 10px;
}
.contact-info-list{
  margin-bottom: 20px;
  border-bottom: 1px solid #aaa;
}
.contact-sex-box{
  position: relative;
  margin-right: 20px;
}
.contact-sex-box input{
  position: absolute;
  top: 0;
  pointer-events: none;
  opacity: 0;
}
.contact-sex{
  font-size: 16px;
  color: #000;
  position: relative;
  padding-left: 20px;
}

.contact-sex:before{
  content: 'none';
  font-size: 0;
  width: 12px;
  height: 12px;
  border: 1px solid #000;
  box-sizing: border-box;
  display: block;
  border-radius: 50%;
  position: absolute;
  top: 5px;
  left: 0;
}
.contact-textarea{
  margin-bottom: 20px;
  border-bottom: 1px solid #aaa;
}
.contact-textarea textarea{
  border: 0;
  width: 100%;
  height: 100px;
  resize: none;
  outline: none;
  letter-spacing: 2px;
}
.button{
  width: 160px;
  max-width: 100%;
  display: block;
  margin: 0 auto;
  margin-top: 50px;
  margin-bottom: 20px;
  height: 36px;
  border: 1px solid #c41b1b;
  text-align: center;
  color: #c41b1b;
  background-color: transparent;
  transition: all .5s ease;
  cursor: pointer;
  letter-spacing: 2px;
  font-family: "Microsoft JhengHei";
}
.map-box{
  width: 100%;
  height: 300px;
}

.border-box{
  width: 100%;
  height: 100%;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}
.border-top1{
  width: 50px;
  height: 1px;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background-color:  #c41b1b;
}
.border-top2{
  width: 50px;
  height: 1px;
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  background-color:  #c41b1b;
}
.border-right1{
  width: 1px;
  height: 50px;
  display: block;
  position: absolute;
  top: 0;
  right: 0;
  background-color:  #c41b1b;
}
.border-right2{
  width: 1px;
  height: 50px;
  display: block;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color:  #c41b1b;
}
.border-bottom1{
  width: 50px;
  height: 1px;
  display: block;
  position: absolute;
  bottom: 0;
  right: 0;
  background-color:  #c41b1b;
}
.border-bottom2{
  width: 50px;
  height: 1px;
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color:  #c41b1b;
}
.border-left1{
  width: 1px;
  height: 50px;
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  background-color:  #c41b1b;
}
.border-left2{
  width: 1px;
  height: 50px;
  display: block;
  position: absolute;
  bottom: 0;
  left: 0;
  background-color:  #c41b1b;
}

::-webkit-input-placeholder { color: #aaaaaa;font-family: "Microsoft JhengHei"; }
:-moz-placeholder { color: #aaaaaa;font-family: "Microsoft JhengHei"; }
::-moz-placeholder { color: #aaaaaa; font-family: "Microsoft JhengHei";}
:-ms-input-placeholder { color: #aaaaaa;font-family: "Microsoft JhengHei"; }
/*表單送出*/
.contact-thanks-box,
.alert-box{
  width: 100%;
  height: 100vh;
  display: none;
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
}
.contact-thanks-box.active,
.alert-box.active{
  -webkit-align-items: center;
          align-items: center;
    -webkit-justify-content: center;
          justify-content: center;
    display: -webkit-flex;
    display:         flex;
}
.contact-thanks,
.alert-info{
  background-color: #c41b1b;
  position: relative;
  padding: 80px;
  border-radius: 20px;
  z-index: 6;
}
.alert-info-box{
  position: relative;
}
.contact-thanks-p{
  font-size: 26px;
  line-height: 1.6;
  letter-spacing: 2px;
  font-weight: bold;
  color: #FFF;
  display: block;
}
.contact-out,
.alert-out{
  width: 20px;
  height: 20px;
  max-width: 100%;
  display: block;
  position: absolute;
  border-radius: 50%;
  border: 1px solid #FFF;
  top: 4%;
  right: 4%;
  cursor: pointer;
}
.contact-out span,
.alert-out span{
  width: 15px;
  height: 1px;
  background-color: #FFF;
  display: block;
  margin: 0 auto;
  position: relative;
}
.alert-out{
  z-index: 6;
}
.contact-out span:nth-child(1),
.alert-out span:nth-child(1){
  top: 9px;
    left: 0.5px;
    transform: rotate(45deg);
}
.contact-out span:nth-child(2),
.alert-out span:nth-child(2){
    top: 8px;
    left: 0.5px;
    transform: rotate(-45deg);
}
.contact-thanks-mask,
.alert-mask{
  width: 100%;
  height: 100vh;
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1;
  background-color: rgba(0, 0, 0, 0.3);
}

